summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2017-07-07 19:58:17 +0200
committerAlexis Ballier <aballier@gentoo.org>2017-07-07 19:58:17 +0200
commitb9841a83a00a94339e1ff30f6fdd312705b3b972 (patch)
tree6b144cfa682885aafaf5db51630f9e7c8c04f2b4
parentdev-ml/ppx_deriving: Fix building ppx_deriving_make caught by running tests, ... (diff)
downloadgentoo-b9841a83a00a94339e1ff30f6fdd312705b3b972.tar.gz
gentoo-b9841a83a00a94339e1ff30f6fdd312705b3b972.tar.bz2
gentoo-b9841a83a00a94339e1ff30f6fdd312705b3b972.zip
dev-ml/uchar: Restrict tests are they are just checking the lib is installed... bug #624144
Package-Manager: Portage-2.3.6, Repoman-2.3.2
-rw-r--r--dev-ml/uchar/uchar-0.0.1.ebuild5
1 files changed, 5 insertions, 0 deletions
diff --git a/dev-ml/uchar/uchar-0.0.1.ebuild b/dev-ml/uchar/uchar-0.0.1.ebuild
index 55523e016acb..74e9bd312cb7 100644
--- a/dev-ml/uchar/uchar-0.0.1.ebuild
+++ b/dev-ml/uchar/uchar-0.0.1.ebuild
@@ -17,6 +17,11 @@ IUSE="+ocamlopt"
RDEPEND=">=dev-lang/ocaml-4.03:="
DEPEND="${RDEPEND} dev-ml/ocamlbuild"
+# This is mostly a compat wrapper for older ocaml versions we don't support. No
+# need to test it, plus it fails when installing for the first time:
+# https://bugs.gentoo.org/show_bug.cgi?id=624144
+RESTRICT="test"
+
src_compile() {
ocaml pkg/build.ml \
"native=$(usex ocamlopt true false)" \